Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003534 [JEDI VCL] 02 Installation major always 2006-02-22 09:05 2006-06-27 07:06
Reporter Alloc View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003534: "Packages 'JvSystemD10R' and 'JvCoreD10R' both contain unit 'JvAppStorageSelectList'"
Description (Same problem with JVCL 3.20)
Installed latest JCL without problems. When trying to install JVCL it compiles up to the package "JvAppFrmD10R.dpk" and then gives me that error message.

JvAppFrmD10R.dpk(41) Error: E2199 Packages 'JvSystemD10R' and 'JvCoreD10R' both contain unit 'JvAppStorageSelectList'
JvAppFrmD10R.dpk(41) Fatal: F2220 Could not compile package 'JvSystemD10R'
Additional Information Windows 2000 Service Pack 4 (5.0.2195)

MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
[Generating: Templates]
MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
Writing: ..\D10\dcc32.cfg
[Generating: Packages]
Generating packages for D10
    Loaded template.bdsproj
    Loaded template.dof
    Loaded template.dpk
    Loaded template.res
MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
[Compiling: Packages]
MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
[Compiling: Packages]
MAKE Version 5.2 Copyright (c) 1987, 2000 Borland
[Compiling: Jv3rdD10R.bpl]
Borland Delphi for Win32 compiler version 18.0
Copyright (c) 1983,2005 Borland Software Corporation
5199 lines, 0.45 seconds, 27180 bytes code, 112 bytes data.
[Compiling: JvCoreD10R.bpl]
Borland Delphi for Win32 compiler version 18.0
Copyright (c) 1983,2005 Borland Software Corporation

165346 lines, 4.69 seconds, 671420 bytes code, 4976 bytes data.
[Compiling: JvSystemD10R.bpl]
Borland Delphi for Win32 compiler version 18.0
Copyright (c) 1983,2005 Borland Software Corporation

JvSystemD10R.dpk(94) Warning: W1033 Unit 'JvAppStorageSelectList' implicitly imported into package 'JvSystemD10R'
107798 lines, 3.24 seconds, 273428 bytes code, 3036 bytes data.
[Compiling: JvAppFrmD10R.bpl]
Borland Delphi for Win32 compiler version 18.0
Copyright (c) 1983,2005 Borland Software Corporation
JvAppFrmD10R.dpk(41) Error: E2199 Packages 'JvSystemD10R' and 'JvCoreD10R' both contain unit 'JvAppStorageSelectList'
JvAppFrmD10R.dpk(41) Fatal: F2220 Could not compile package 'JvSystemD10R'

** error 1 ** deleting "C:\Dokumente und Einstellungen\Administrator\Eigene Dateien\Borland Studio Projects\Bpl"\JvAppFrmD10R.bpl

** error 1 ** deleting CompilePackages
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008594)
obones (administrator)
2006-02-22 11:50

It looks as if you have older dcp files lying somewhere on your hard drive. Please remove any Jv* dcp, lib, bpl files and restart the installation.
Please let us know how that goes.
(0008598)
Alloc (reporter)
2006-02-22 14:38

Nope, there aren't any files by JVCL, neither in the install-dir of delphi nor anywhere in the $BDSPROJECTSDIR. Only the newly downloaded jcl/jvcl source-directorys ...
(0008993)
obones (administrator)
2006-04-05 07:18

Have you deleted the previous source folders, or did you unzip of top of the existing ones?
It looks as if you have mixed up xml files for the package.
(0009357)
Alloc (reporter)
2006-05-27 09:08

Didn't have any previous installations ...
Just formatted my disk today, set up a fresh installation of WinXP SP1, BDS2006 SP2. Installing JCL: No problems. Installing JVCL: Exactly the same problem.

JVCL3.20 with JCL1.97. Build 2172.
(0009402)
obones (administrator)
2006-06-07 03:20

What about the daily snapshot:

http://jvcl.sf.net/daily/ [^]

Note that you will also need the JCL daily from here:

http://jcl.sf.net/daily/ [^]
(0009684)
obones (administrator)
2006-06-27 07:06

No answers, I'm assuming this is fixed in the latest daily build.

- Issue History
Date Modified Username Field Change
2006-02-22 09:05 Alloc New Issue
2006-02-22 11:50 obones Note Added: 0008594
2006-02-22 11:50 obones Status new => feedback
2006-02-22 14:38 Alloc Note Added: 0008598
2006-03-05 06:08 Alloc Issue Monitored: Alloc
2006-04-05 07:18 obones Note Added: 0008993
2006-05-07 11:54 amanheis Issue Monitored: amanheis
2006-05-27 09:08 Alloc Note Added: 0009357
2006-06-07 03:20 obones Note Added: 0009402
2006-06-27 07:06 obones Status feedback => resolved
2006-06-27 07:06 obones Fixed in Version => Daily / SVN
2006-06-27 07:06 obones Resolution open => fixed
2006-06-27 07:06 obones Assigned To => obones
2006-06-27 07:06 obones Note Added: 0009684


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker